Class PerformanceMetricController
java.lang.Object
org.apache.clusterbr.zupportl5.controller.PerformanceMetricController
@RestController
@RequestMapping("/api/performance-metrics")
public class PerformanceMetricController
extends Object
REST-API Endpoints --
- GET /api/performance-metrics/{id}: Returns data from the API
- PUT /api/performance-metrics/{id}: Updates an entry by ID
- DELETE /api/performance-metrics/{id}: Deletes an entry by ID
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<PerformanceMetric>create(PerformanceMetric item) org.springframework.http.ResponseEntity<Void>org.springframework.http.ResponseEntity<List<PerformanceMetric>>getAll()org.springframework.http.ResponseEntity<PerformanceMetric>org.springframework.http.ResponseEntity<PerformanceMetric>update(Integer id, PerformanceMetric item)
-
Constructor Details
-
PerformanceMetricController
-
-
Method Details
-
getAll
-
getById
@GetMapping("/{id}") public org.springframework.http.ResponseEntity<PerformanceMetric> getById(@PathVariable Integer id) -
create
@PostMapping public org.springframework.http.ResponseEntity<PerformanceMetric> create(@RequestBody PerformanceMetric item) -
update
@PutMapping("/{id}") public org.springframework.http.ResponseEntity<PerformanceMetric> update(@PathVariable Integer id, @RequestBody PerformanceMetric item) -
delete
-